<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Conversion from Bugnicar 0.1 database to Bugnicar 0.2 database -->

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>

<xsl:template match='bugnicar-database'>
  <xsl:copy>
    <xsl:copy-of select='@*'/>
    <xsl:for-each select='bug'>
      <xsl:copy>
        <xsl:copy-of select='@*'/>
        <xsl:attribute name='about'>
          <xsl:value-of select='report[position()=1]/@about'/>
        </xsl:attribute>
        <xsl:attribute name='assigned'>nobody</xsl:attribute>
        <xsl:apply-templates/>
     </xsl:copy>
    </xsl:for-each>
  </xsl:copy>
</xsl:template>

<xsl:template match='report'>
  <xsl:choose>
  <xsl:when test='position()=1'>
    <report date='{@date}' from='unknown' about='{@about}'>
      <xsl:value-of select='text()'/>
    </report>
  </xsl:when>
  <xsl:otherwise>
    <comment date='{@date}' from='unknown'>
      <xsl:value-of select='text()'/>
    </comment>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match='fix[position()=last()]'>
  <close date='{@date}' from='unknown'>
    <xsl:value-of select='text()'/>
  </close>
</xsl:template>


</xsl:transform>
