<?xml version='1.0' encoding='ISO-8859-1'?>
<xsl:transform version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
  <xsl:output method='xml'/>
  <prototype>
    <input list='no' id='object' optional='no'>
      <match>bug</match>
    </input>
    <input optional='no' list='no'>
      <match>bugnicar-task</match>
    </input>
    <output outdates='object' optional='no' list='no'>
      <match>bug[@state = 'commented']</match>
    </output>
  </prototype>
  <xsl:template match='arguments'>
    <xsl:apply-templates select='bug'/>
  </xsl:template>
  <xsl:template match='*'>
    <xsl:copy>
      <xsl:apply-templates select='@*'/>
      <xsl:apply-templates select='*|text()'/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match='@*'>
    <xsl:copy>
      <xsl:value-of select='.'/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match='text()'>
    <xsl:value-of select='.'/>
  </xsl:template>
  <xsl:template match='bug'>
    <xsl:copy>
      <xsl:apply-templates select='@*'/>
      <xsl:attribute name='state'>
        <xsl:text>commented</xsl:text>
      </xsl:attribute>
      <xsl:apply-templates select='*|text()'/>
      <xsl:element name='comments'>
        <comment>
          <xsl:attribute name='from'>
            <xsl:value-of select='//bugnicar-task/bug-comment/@sender'/>
          </xsl:attribute>
          <xsl:attribute name='date'>
            <xsl:value-of select='//bugnicar-task/bug-comment/@date'/>
          </xsl:attribute>
          <xsl:value-of select='//bugnicar-task/text()'/>
        </comment>
      </xsl:element>
    </xsl:copy>
  </xsl:template>
</xsl:transform>