<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" 
              encoding="ISO-8859-1" 
              indent="yes"/> 
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Gnrer au format HTML la liste des bugs d'une base de donnes Bugnicar.</description>
<description lang="en">Generate in HTML format the list of all the bugs in a Bugnicar database.</description>
<input><match>bugnicar-database</match></input>
<output><match>xhtml</match></output>
</prototype>

<!-- root ================================================================== -->
<xsl:template match='text()'/>
<xsl:template match='//bugnicar-database'>
  <xhtml>
    <head>
       <link rel="stylesheet" type="text/css" href="logilab.css"/>
       <title>Bugnicar for project<xsl:if test='@project'> <xsl:value-of select='@project'/></xsl:if></title>
    </head>
  <body bgcolor='#FFFFFF'>
    <h1>Bug Management for project
      <xsl:if test='@project'>
        <xsl:choose>
          <xsl:when test='@url'>
            <a href='{@url}'><xsl:value-of select='@project'/></a>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select='@project'/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
    </h1>
    <h2><a href="workers.html">Sorted by assignments</a></h2>
    <h2>Pending bugs</h2>
      <xsl:apply-templates select='bug[@state!="fixed"]'/>
    <h2>Fixed bugs</h2>
      <xsl:apply-templates select='bug[@state="fixed"]'/>
  </body>
  </xhtml>
</xsl:template>

<xsl:template match='bug'>
  <p><table align='center' border='2' cellspacing='0' cellpadding='4' width='90%'>
  <tr>
    <xsl:attribute name="bgcolor">orange</xsl:attribute>
    <td bgcolor='black' width='20%'><b><font color='white'>Bug #<xsl:value-of select='@id'/></font></b></td>
    <td width='40%'>About: <xsl:value-of select='label/text()'/></td>
    <td>Assigned to: <xsl:apply-templates select='worker' /></td>
  </tr>
  <xsl:apply-templates select='*[name()!="worker"]'/>
  </table></p>
</xsl:template>

<xsl:template match='report-info'>
  <tr bgcolor='lightgrey'>
    <td colspan='3'>
        <xsl:value-of select='date/text()'/> - <b>Report</b> from <a href='{concat("mailto:",from/text())}'><xsl:value-of select='from/text()'/></a><br/><br/>
        <pre><xsl:value-of select='text()'/></pre>
    </td>
  </tr>
</xsl:template>

<xsl:template match='comment'>
  <tr bgcolor='lightgrey'>
    <td colspan='3'>
        <xsl:value-of select='@date'/> - <b>Comment</b> from <a href='{concat("mailto:",@from)}'><xsl:value-of select='@from'/></a><br/><br/>
        <pre><xsl:value-of select='text()'/></pre>
    </td>
  </tr>
</xsl:template>

<xsl:template match='assign'>
  <tr bgcolor='lightgrey'>
    <td colspan='3'>
        <xsl:value-of select='@date'/> - <b>Assign</b> to &lt;<xsl:value-of select='@assigned'/>&gt; from &lt;<xsl:value-of select='@from'/>&gt;<br/><br/>
        <pre><xsl:value-of select='text()'/></pre>
    </td>
  </tr>
</xsl:template>

<xsl:template match='set'>
  <tr bgcolor='lightgrey'>
    <td colspan='3'>
        <xsl:value-of select='@date'/> - <b>Set</b> about <xsl:value-of select='@about'/> from &lt;<xsl:value-of select='@from'/>&gt;<br/><br/>
        <pre><xsl:value-of select='text()'/></pre>
    </td>
  </tr>
</xsl:template>

<xsl:template match='close'>
  <tr bgcolor='lightgrey'>
    <td colspan='3'>
        <xsl:value-of select='@date'/> - <b>Close</b> from &lt;<xsl:value-of select='@from'/>&gt;<br/><br/>
        <pre><xsl:value-of select='text()'/></pre>
    </td>
  </tr>
</xsl:template>

<xsl:template match='reopen'>
  <tr bgcolor='lightgrey'>
    <td colspan='3'>
        <xsl:value-of select='@date'/> - <b>Reopen</b> from &lt;<xsl:value-of select='@from'/>&gt;<br/><br/>
        <pre><xsl:value-of select='text()'/></pre>
    </td>
  </tr>
</xsl:template>

<xsl:template match='worker'>
<a href='{concat("mailto:",@id)}'><xsl:value-of select='@id'/></a>
</xsl:template>

</xsl:transform>

