<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" 
              encoding="ISO-8859-1" 
              indent="yes"/> 
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Gnrer au format HTML la liste des bugs d'une base de donnes Bugnicar.</description>
<description lang="en">Generate in HTML format the list of all the bugs in a Bugnicar database.</description>
<input><match>workers</match></input>
<output><match>xhtml</match></output>
</prototype>

<!-- root ================================================================== -->
<xsl:template match='//workers'>
  <xhtml>
    <head>
       <link rel="stylesheet" type="text/css" href="logilab.css"/>
       <title>workers db<xsl:if test='@project'> <xsl:value-of select='@project'/></xsl:if></title>
    </head>
  <body bgcolor='#FFFFFF'>
    <h1>Worker Management for project
      <xsl:if test='@project'>
        <xsl:choose>
          <xsl:when test='@url'>
            <a href='{@url}'><xsl:value-of select='@project'/></a>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select='@project'/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
    </h1>
    <h2><a href="bug.html">Sorted by bugs</a></h2>
    <h2>Current state</h2>
    <xsl:apply-templates select='worker'/>
  </body>
  </xhtml>
</xsl:template>

<xsl:template match="worker">
 <p><table align='center' border='2' cellspacing='0' cellpadding='4'>
  <tr>
    <xsl:attribute name="bgcolor">orange</xsl:attribute>
    <td bgcolor='black' colspan='3'><b><font color='white'>Worker email :  <xsl:value-of select='@id'/></font></b></td>
  </tr>
  <xsl:apply-templates select="bug-element" />
 </table></p>
</xsl:template>

<xsl:template match="bug-element">
<tr>
  <td bgcolor='white' width='20%'><b><font color='black'>Bug #<xsl:value-of select='@id'/></font></b></td>
  <td width='50%'>About: <xsl:value-of select='@label'/></td>
  <td>Date: <xsl:apply-templates select='@date' /></td>
</tr>  
</xsl:template>

</xsl:transform>
