<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Ajouter un commentaire  un bug de la base de donnes de Bugnicar.</description>
<description lang="en">Add a comment to a bug in Bugnicar's database.</description>
<input><match>bugnicar-task/bug-comment</match></input>
<input><match>bugnicar-database</match></input>
<output><match>bugnicar-database</match></output>
</prototype>

<!-- root ================================================================== -->

<xsl:template match='/'>
  <xsl:apply-templates select='/*/bugnicar-task/bug-comment'/>
  <xsl:apply-templates select='/*/bugnicar-database'/>
</xsl:template>

<xsl:template match='bug-comment'>
    <xsl:variable name='date' select='@date'/>
    <xsl:variable name='sender' select='@sender'/>
    <xsl:variable name='bugid' select='@bugid'/>
    <xsl:variable name='description' select='text()'/>
</xsl:template>

<xsl:template match='bugnicar-database'>
<bugnicar-database>
  <xsl:copy-of select='@*'/>
  <xsl:apply-templates/>
</bugnicar-database>
</xsl:template>

<xsl:template match='*'>
  <xsl:copy-of select='.'/>
</xsl:template>

<xsl:template match='bug[@id=$bugid]'>
<bug>
  <xsl:copy-of select='@*'/>
  <xsl:copy-of select='*'/>
  <comment date='{$date}' from='{$sender}'>
    <xsl:value-of select='$description'/>
  </comment>
</bug>
</xsl:template>

</xsl:transform>
