<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Crer l'lment bugnicar-task correspondant  l'URL de la requte HTTP reue.</description>
<description lang="en">Create a bugnicar-task element from the URL given in the HTTP request.</description>
<input><match>http-cgi-request</match></input>
<output><match>bugnicar-task</match></output>
</prototype>

<!-- root ================================================================== -->


<xsl:template match='http-cgi-request'>
  <bugnicar-task>
    <xsl:choose>
    <xsl:when test='url/text()="/report"'>
      <bug-report date='{cgi-item[@key="date"]}' sender='{cgi-item[@key="sender"]}' about='{cgi-item[@key="about"]}'>
        <xsl:value-of select='cgi-item[@key="text"]'/>
      </bug-report>
    </xsl:when>
    <xsl:when test='url/text()="/comment"'>
      <bug-comment date='{cgi-item[@key="date"]}' sender='{cgi-item[@key="sender"]}' bugid='{cgi-item[@key="bugid"]}'>
        <xsl:value-of select='cgi-item[@key="text"]'/>
      </bug-comment>
    </xsl:when>
    <xsl:when test='url/text()="/set"'>
      <xsl:attribute name='password'><xsl:value-of select='cgi-item[@key="password"]' /></xsl:attribute>
      <bug-set date='{cgi-item[@key="date"]}' sender='{cgi-item[@key="sender"]}' bugid='{cgi-item[@key="bugid"]}' about='{cgi-item[@key="about"]}'>
        <xsl:value-of select='cgi-item[@key="text"]'/>
      </bug-set>
    </xsl:when>
    <xsl:when test='url/text()="/assign"'>
      <xsl:attribute name='password'><xsl:value-of select='cgi-item[@key="password"]' /></xsl:attribute>
      <bug-assign date='{cgi-item[@key="date"]}' sender='{cgi-item[@key="sender"]}' bugid='{cgi-item[@key="bugid"]}' person='{cgi-item[@key="person"]}'>
        <xsl:value-of select='cgi-item[@key="text"]'/>
      </bug-assign>
    </xsl:when>
    <xsl:when test='url/text()="/close"'>
      <xsl:attribute name='password'><xsl:value-of select='cgi-item[@key="password"]' /></xsl:attribute>
      <bug-close date='{cgi-item[@key="date"]}' sender='{cgi-item[@key="sender"]}' bugid='{cgi-item[@key="bugid"]}'>
        <xsl:value-of select='cgi-item[@key="text"]'/>
      </bug-close>
    </xsl:when>
    <xsl:when test='url/text()="/reopen"'>
      <xsl:attribute name='password'><xsl:value-of select='cgi-item[@key="password"]' /></xsl:attribute>
      <bug-reopen date='{cgi-item[@key="date"]}' sender='{cgi-item[@key="sender"]}' bugid='{cgi-item[@key="bugid"]}'>
        <xsl:value-of select='cgi-item[@key="text"]'/>
      </bug-reopen>
    </xsl:when>
    </xsl:choose>
  </bugnicar-task>
</xsl:template>


</xsl:transform>
