<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Insrer un nouveau bug dans la base de donnes de Bugnicar.</description>
<description lang="en">Insert a new bug in Bugnicar's database.</description>
<input><match>bugnicar-task/bug-report</match></input>
<input><match>bugnicar-database</match></input>
<output><match>bugnicar-database</match></output>
</prototype>

<!-- root ================================================================== -->

<xsl:template match='/'>
  <xsl:apply-templates select='/*/bugnicar-task/bug-report'/>
  <xsl:apply-templates select='/*/bugnicar-database'/>
</xsl:template>

<xsl:template match='bug-report'>
    <xsl:variable name='date' select='@date'/>
    <xsl:variable name='sender' select='@sender'/>
    <xsl:variable name='about' select='@about'/>
    <xsl:variable name='description' select='text()'/>
</xsl:template>

<xsl:template match='bugnicar-database'>
    <xsl:variable name='newid'>
        <xsl:choose>
            <xsl:when test='@new-id'><xsl:value-of select='@new-id'/></xsl:when>
            <xsl:otherwise>1</xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
    <bugnicar-database>
        <xsl:copy-of select='@*'/>
        <xsl:attribute name='new-id'>
            <xsl:value-of select='$newid+1'/>
        </xsl:attribute>
        <xsl:copy-of select='bug'/>
        <bug id='{$newid}' status='open' about='{$about}' assigned='nobody'>
            <report date='{$date}' from='{$sender}' about='{$about}'>
                <xsl:value-of select='$description'/>
            </report>
        </bug>
    </bugnicar-database>
</xsl:template>


</xsl:transform>
