<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Transformer le rsultat d'une regexp en bugnicar-task.</description>
<description lang="en">Transform the result of a regexp to a bugnicar-task element.</description>
<input><match>regexp-result</match></input>
<input><match>email[@type="incoming" and starts-with(headers/subject/text(),"[BUGNICAR]")]</match></input>
<output><match>bugnicar-task</match></output>
</prototype>

<!-- root ================================================================== -->

<xsl:template match='/'>
 <xsl:apply-templates select="//email"/>
</xsl:template>
<!--
<xsl:template match='email'>
<xsl:variable name='description' select='body/text()'/>
<xsl:variable name='sender' select='headers/from/email_addr/text()'/>
<xsl:variable name='date' select='headers/date/text()'/>
<xsl:variable name='name' select='headers/from/name/text()'/>
<xsl:apply-templates select="//regexp-result" >
  <xsl:with-param name="description"><xsl:value-of select="body/text()" /></xsl:with-param>
  <xsl:with-param name="sender"><xsl:value-of select="headers/from/email_addr/text()" /></xsl:with-param>
  <xsl:with-param name="date"><xsl:value-of select="headers/date/text()" /></xsl:with-param>
</xsl:apply-templates>
</xsl:template>
-->

<xsl:template match='regexp-result'>

<xsl:param name="date">01/01/70</xsl:param>
<xsl:param name="sender">a@b.com</xsl:param>
<xsl:param name="name">???</xsl:param>
<xsl:param name="description">message body</xsl:param>

<bugnicar-task>
<xsl:apply-templates select='group[@name="password"]'/>
<xsl:apply-templates select='group[@name="about"]'/>
<xsl:apply-templates select='group[@name="bugid"]'/>
<xsl:apply-templates select='group[@name="person"]'/>
<xsl:element name='{concat("bug-",@rule-id)}'>
<xsl:attribute name='date'><xsl:value-of select='../email/headers/date/text()'/></xsl:attribute>
<xsl:attribute name='sender'><xsl:value-of select='../email/headers/from/email_addr/text()'/></xsl:attribute>
<xsl:attribute name='name'><xsl:value-of select='../email/headers/from/name/text()'/></xsl:attribute>
<xsl:apply-templates select='group[@name!="password" and @name!="bugid" and @name!="about" and @name!="person"]'/>
</xsl:element>
<xsl:value-of select='../email/body/text()'/>
</bugnicar-task>
</xsl:template>

<xsl:template match='group[@name="about"]'>
<about><xsl:value-of select='text()'/></about>
</xsl:template>

<xsl:template match='group[@name="person"]'>
<worker-id><xsl:value-of select='text()'/></worker-id>
</xsl:template>
 
<xsl:template match='group[@name="bugid"]'>
<xsl:attribute name="for"><xsl:value-of select='text()'/></xsl:attribute>
</xsl:template>
 
<xsl:template match='group[@name="password"]'>
<xsl:attribute name='password'><xsl:value-of select='text()'/></xsl:attribute>
</xsl:template>
 
<xsl:template match='group'>
<tmp/>
</xsl:template>

</xsl:transform>
