<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Modifier un bug de la base de donnes de bugnicar.</description>
<description lang="en">Modify a bug in bugnicar's database.</description>
<input><match>bugnicar-task/bug-reopen</match></input>
<input><match>bugnicar-database</match></input>
<output><match>bugnicar-database</match></output>
</prototype>

<!-- root ================================================================== -->

<xsl:template match='/'>
  <xsl:apply-templates select='/*/bugnicar-task/bug-reopen'/>
  <xsl:apply-templates select='/*/bugnicar-database'/>
</xsl:template>

<xsl:template match='bug-reopen'>
    <xsl:variable name='date' select='@date'/>
    <xsl:variable name='sender' select='@sender'/>
    <xsl:variable name='bugid' select='@bugid'/>
    <xsl:variable name='description' select='text()'/>
</xsl:template>

<xsl:template match='bugnicar-database'>
<bugnicar-database>
  <xsl:copy-of select='@*'/>
  <xsl:apply-templates/>
</bugnicar-database>
</xsl:template>

<xsl:template match='*'>
  <xsl:copy-of select='.'/>
</xsl:template>

<xsl:template match='bug[@id=$bugid and @status="closed"]'>
<bug>
  <xsl:copy-of select='@*'/>
  <xsl:attribute name='status'>open</xsl:attribute>
  <xsl:copy-of select='*'/>
  <reopen date='{$date}' from='{$sender}'>
  <xsl:value-of select='$description'/>
  </reopen>
</bug>
</xsl:template>

</xsl:transform>
